TechDraw GeometricHatch/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Примечания==")
(Created page with "==Свойства==")
Line 48: Line 48:
}}
}}


==Свойства==
==Properties==


* {{PropertyData|Source}}: The View and Face to receive the hatch pattern.
* {{PropertyData|Source}}: The View and Face to receive the hatch pattern.

Revision as of 10:10, 22 May 2020

Other languages:

TechDraw GeometricHatch

Системное название
TechDraw GeometricHatch
Расположение в меню
TechDraw → Применить геометрическую штриховку грани
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Hatch Face using Image File, TechDraw Hatching

Описание

The GeometricHatch tool fills a closed region in a View with a pattern based on an AutoDesk PAT hatching specification. Alternatively, the Hatch tool uses an SVG or bitmap file as hatch pattern, see Hatching for details.

Geometric hatch pattern on a face

Использование

  1. Select an closed region in a View. The region will turn green.
  2. Press the Apply Geometric Hatch to Face button
  3. a dialog will open where you may select your pattern, a scale for the pattern and a line weight.
  4. You may need to press Refresh and/or Redraw Page to get the pattern to update.

Примечания

A small set of sample patterns are available in:

$INSTALL_DIR/Mod/TechDraw/PAT/FCPAT.pat

$INSTALL_DIR is the directory where FreeCAD was installed, for example

/usr/share/freecad/Mod/TechDraw/PAT/FCPAT.pat

Свойства

  • ДанныеSource: The View and Face to receive the hatch pattern.
  • ДанныеFile Pattern: The location of the PAT file to use.
  • ДанныеName Pattern: The name of the PAT specification within File Pattern.
  • ДанныеScale Pattern: The scale to be applied to the pattern (must be > 0.0).
  • ВидWeight Pattern: The thickness of the pattern lines.
  • ВидColor Pattern: The color for the pattern lines.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The GeometricHatch tool can be used in macros and from the Python console by using the following functions:

hatch = FreeCAD.ActiveDocument.addObject('TechDraw::DrawGeomHatch','GeomHatch')
hatch.Source = (view1,["Face0"])
hatch.FilePattern = "path/to/myPATfile.pat"
hatch.NamePattern = "Diamond"
rc = page.addView(hatch)